A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Member Functions
event Class Reference
ArrayFire Classes | ArrayFire Functions by Category » Events » Event API

C++ RAII interface for manipulating events. More...

`#include <event.h>`

## Public Member Functions
| event (af_event e)
| Create a new event using the C af_event handle.
| event ()
| Create a new event object.
| ~event ()
| event Destructor
af_event | get () const
| Return the underlying C af_event handle.
void | mark ()
| Adds the event on the default ArrayFire queue.
void | enqueue ()
| Block the ArrayFire queue until this even has occurred.
void | block () const
| block the calling thread until this event has occurred

## Detailed Description

C++ RAII interface for manipulating events.

Definition at line 31 of file event.h.

## Constructor & Destructor Documentation

## ◆ event() [1/2]

event | ( | af_event | e | ) |

Create a new event using the C af_event handle.

## ◆ event() [2/2]

event | ( |  | ) |

Create a new event object.

## ◆ ~event()

~event | ( |  | ) |

event Destructor

## Member Function Documentation

## ◆ block()

void block | ( |  | ) | const

block the calling thread until this event has occurred

## ◆ enqueue()

void enqueue | ( |  | ) |

Block the ArrayFire queue until this even has occurred.

## ◆ get()

af_event get | ( |  | ) | const

Return the underlying C af_event handle.

## ◆ mark()

void mark | ( |  | ) |

Adds the event on the default ArrayFire queue.

Once this point on the program is executed, the event is considered complete.

The documentation for this class was generated from the following file:

- event.h